RalinkRT2870驱动程序无法编译/制作 -- drivers 领域 和 compiling 领域 和 make 领域 askubuntu 相关 的问题

RalinkRT2870 Driver doesnt compile/make


简体版||繁體版
0
vote

问题

中文

您好,我有一台RalinkRT2870(我想,它没有说确切的数字或任何东西,甚至没有一家公司,但根据我的研究,它的ralink(现在显然称为MediaTech)

我在使用驱动程序时遇到麻烦,我尝试从磁盘使用Linux驱动程序,或者从终端制作驱动程序,但出现Linux错误2。

在lsusb中,我的设备显示为

  master@master-GA-970A-D3:~$ sudo apt-get upgrade Reading package lists... Done Building dependency tree        Reading state information... Done You might want to run 'apt-get -f install' to correct these. The following packages have unmet dependencies:  libreoffice-core : Depends: libreoffice-common (> 1:4.2.3~rc3) but it is not installed  libreoffice-help-en-us : Depends: libreoffice-l10n-en-us  libreoffice-java-common : Depends: libreoffice-common but it is not installed  libreoffice-l10n-el : Depends: libreoffice-common but it is not installed  libreoffice-l10n-en-gb : Depends: libreoffice-common but it is not installed  libreoffice-l10n-en-za : Depends: libreoffice-common but it is not installed E: Unmet dependencies. Try using -f. 0  

我的Linux内核是4.4

这是我尝试运行" make" 时得到的信息

  master@master-GA-970A-D3:~$ sudo apt-get upgrade Reading package lists... Done Building dependency tree        Reading state information... Done You might want to run 'apt-get -f install' to correct these. The following packages have unmet dependencies:  libreoffice-core : Depends: libreoffice-common (> 1:4.2.3~rc3) but it is not installed  libreoffice-help-en-us : Depends: libreoffice-l10n-en-us  libreoffice-java-common : Depends: libreoffice-common but it is not installed  libreoffice-l10n-el : Depends: libreoffice-common but it is not installed  libreoffice-l10n-en-gb : Depends: libreoffice-common but it is not installed  libreoffice-l10n-en-za : Depends: libreoffice-common but it is not installed E: Unmet dependencies. Try using -f. 1  
英文原文

Hello I have a RalinkRT2870 (I think , it didn't say the exact number or anything , or even a company but from my research its ralink , which is now apparently called MediaTech)

I am having troubles with the driver , I tried using the drivers for linux from disk / making them from the terminal but I get linux error 2.

In lsusb , my device shows as this

Bus 008 Device 005: ID 0e8d:7610 MediaTek Inc.  

My linux kernel is 4.4

This is what I get when I try to run "make"

ben@ben ~/Desktop/mt7610u-master $ make make -C tools make[1]: Entering directory '/home/ben/Desktop/mt7610u-master/tools' gcc -g bin2h.c -o bin2h make[1]: Leaving directory '/home/ben/Desktop/mt7610u-master/tools' /home/ben/Desktop/mt7610u-master/tools/bin2h chipset = mt7610u chipset = mt7650u chipset = mt7630u cp -f os/linux/Makefile.6 /home/ben/Desktop/mt7610u-master/os/linux/Makefile make -C /lib/modules/4.4.0-59-generic/build SUBDIRS=/home/ben/Desktop/mt7610u-master/os/linux modules make[1]: Entering directory '/usr/src/linux-headers-4.4.0-59-generic' rm: cannot remove '/home/ben/Desktop/mt7610u-master/os/linux/.tmp_versions/mt7610u_sta.mod': Permission denied Makefile:1407: recipe for target 'crmodverdir' failed make[1]: *** [crmodverdir] Error 1 make[1]: Leaving directory '/usr/src/linux-headers-4.4.0-59-generic' Makefile:400: recipe for target 'LINUX' failed make: *** [LINUX] Error 2 ben@ben ~/Desktop/mt7610u-master $  
        
     
     

回答列表


相关问题

1  我无法安装kbibtex(KD4)  ( I cant install kbibtex kd4 ) 
我有ubuntu 11.10,正在尝试安装kbibtex的最新版本,但我做不到。有人知道该怎么办吗? 我从KD4页面(http://home.gna.org/kbibtex/download.html)下载了tar.bz2文件,但按照说明进行操作,但出现以下错误: 〜/ kbibtex-0.4-beta1 / bu...

2  make失败,因为它不知道“ headers_install”  ( Make fails because it doesnt know headers install ) 
已关闭。此问题是离题。它当前不接受答案。 <路径d =" M15 6.38A6.48 6.48 0 007.78。 04h-.02A6.49 6.49 0 002.05 5.6a6.31 6.31...

-1  运行make之后,要使用lcd-opencv-simulator我该怎么办?  ( What do i do after running make to use lcd opencv simulator ) 
我是Ubuntu的新手,我需要运行我们的教授给我们提供的LCD模拟器,而又不向我们提供有关如何实际使用它的足够信息。 该程序需要OpenCV,我相信我已设法将其安装在Ubuntu上。然后我尝试使用make对其进行编译,结果可以在这里看到: 就我所知,我真的不知道下一步该怎么做,因为我是Ubuntu的新手。有人可...

25  使用make“严重错误:gtk / gtk.h:没有这样的文件或目录”  ( Fatal error gtk gtk h no such file or directory using make ) 
我正在尝试使用make命令进行构建。我正在关注此。我正在使用GTK + 2和C语言编译代码 hp@ubuntu:~/amhello$ make make all-recursive make[1]: Entering directory `/home/hp/amhello' Making all in src ...

3  无法运行make menuconfig  ( Unable to run make menuconfig ) 
当我使用命令make menuconfig时,它会显示 sharath@sharath:~/openwrt$ make menuconfig Checking 'working-make'... ok. Checking 'case-sensitive-fs'... ok. Checking 'getopt'.....

1  从源代码安装php时配置:错误:找不到OpenSSL的<evp.h>  ( When installing php from source configure error cannot find openssls evp h ) 
我正在尝试从源代码构建php,但是./configure给出了错误 配置:错误:找不到OpenSSL的 我的 openssl version 返回 OpenSSL 1.0.2f 28 Jan 2016 和 which openssl /home/nexusstar/.linuxbrew/bin/o...

3  如何确定主机Multi-Arch默认文件夹  ( How to determine the host multi arch default folder ) 
我想制作一个在主机默认的多体系结构文件夹中安装库的makefile,例如 /usr/lib/x86_64-linux-gnu 和 /usr/lib/i386-linux-gnu/ 和 /usr/lib/arm-linux-gnueabihf 。 但是不使用 dpkg-architecture 和 debhelper...

0  Makefile问题  ( Makefile problem ) 
我试图在远程计算机上对代码进行make命令。我发现有问题,并拒绝完成编译。我需要思考如何知道问题并解决问题的逻辑。 -bash-4.1$ vi Makefile -bash-4.1$ make gfortran -cpp -O -ffpe-trap=invalid,zero,overflow -fbounds-...

86  如何安装make?  ( How do i install make ) 
RAM4 我需要在AWS EC2的ubuntu上安装make。我怎样才能做到这一点 ? 我终于可以成功安装build-essential了。 RAM5 ...

3  如何制作手册页? [复制]  ( How to make man pages ) 
此问题已在此处提供答案: 如何创建联机帮助页? (4个答案) 已关闭 7年...

1  make:***没有规则将目标“安装”。尝试安装plib-1.8.5时  ( Make no rule to make target install when trying to install plib 1 8 5 ) 
首先,我想说我是Ubuntu和Linux的新手。 遵循说明安装plib-1.8.5时, sudo make install 出现错误。 (供参考 1.它是Ubuntu 18.04 LTS。以前没有做过任何工作。 2.我应该由gym_torcs为TORCS模拟器构建一个环境。) ***No rule to make...

20  如何知道不停止执行哪个命令?  ( How to know which command is being executed without stopping it ) 
在我的示例中,我正在运行一个需要很长时间(几个小时)才能执行的命令。 我真的不记得我输入过make还是make -j4。 我当然可以停止它,然后按向上键或查看历史记录来知道它,但这将停止该过程,并且我不希望发生这种情况(如果它已经在执行make -j4)。 有什么方法可以知道正在执行哪个命令而不停止进程吗? ...

2  Gnudialer制造问题[关闭]  ( Gnudialer make problem ) 
<路径d =" M15 6.38A6.48 6.48 0 007.78。 04h-.02A6.49 6.49 0 002.05 5.6a6.31 6.31 0 002.39 5.75c.49.39.76.93.76 1.5v.24c0 1.07.89 1.9 1.92 1.9h2.75c1.04 0 1....

6  无法在Ubuntu 16.10上制作Clockwordmod Tether  ( Cant make clockwordmod tether on ubuntu 16 10 ) 
我正在尝试在Ubuntu 16.10笔记本电脑上安装Clockwordmod Tether,以方便通过 Google Play上的相应应用。 我已经下载并提取了 Tether tar文件。安装说明非常简单。只需在终端中运行以下命令即可: cd /home/username/Tether/node ./config...

3  FreeRadius 30.5-软件包无法安装-错误10(文件命名错误)  ( Freeradius 30 5 package fails to install error 10 files named incorrectly ) 
超级菜鸟在这里。我可能想嚼的东西超过了我可以吞咽的程度。 我一周前才开始使用Ubuntu 我正在使用BIND9运行最新的Ubuntu 14(教程帮助设置DNS),并且我一直在与FreeRadius 2.X和现在的3.X进行斗争。 主要我一直在关注 a指南我找到了... 存储库只有2.1.12,但是我从其站点下载了...

1  将GMP升级到5.0.5  ( Upgrading gmp to 5 0 5 ) 
我尝试构建GMP 5.0.5,现在当我尝试构建MPFR时,它将开始检查gmp.h和libgmp。 MPFR给我一个 /etc/resolv.conf6 的错误,当MPFR到达gmp阶段时,在 /etc/resolv.conf7 期间给我上述错误。我该如何解决这个问题? 另外,有没有办法检查我的机器上是否已预先存在gm...

93  找不到命令  ( Make command not found ) 
根据搜索各种论坛的情况,我遇到的问题似乎并不普遍。 我无法运行Make命令。 消息: sudo apt-get install codelite wxcrafter 2 这样做: sudo apt-get install codelite wxcrafter 3 但是当我尝试运行Make时,我得到了相...

3  在Nominatim安装中未指定目标,也未找到任何makefile  ( No targets specified and no makefile found in nominatim installation ) 
我正在尝试设置自己的OpenStreetMap服务器,我遵循了Wikipedia中的官方教程以及其他教程。首先,我从GIT克隆 Nominatim ,然后通过点击来构建它: cd Nominatim/ cd module/ sudo make cd .. cd nominatim/ sudo ./au...

-1  量子浓缩咖啡安装  ( Quantum espresso installation ) 
已关闭。这个问题需要详细信息或清晰说明。它当前不接受答案。 <路径d =" M15 6.38A6.48 6.48 0 007.78。 04h-.02A6.49 6.49 0 002.05 5.6a...

7  如何安装make? [复制]  ( How do i install make ) 
此问题已在此处提供答案: 如何安装make? (3个答案) 已关闭 4年前...

147  制作qemu-1.4.0时出现“ autoreconf:未找到”错误  ( Autoreconf not found error during making qemu 1 4 0 ) 
我是 ./configure 的qemu-1.4.0,在 make 期间,它会导致: (cd /home/amin/Simulate/qemu-1.4.0/pixman; autoreconf -v --install) /bin/sh: 1: autoreconf: not found make: *** [/...

0  安装pcl时发生错误  ( Error while installing pcl ) 
我按照此答案安装了pcl(点云库)。 但是出现以下错误: [ 30%] Linking CXX executable ../../bin/pcl_openni_grabber_example /home/nehal/anaconda3/lib/libpng.so: undefined reference to ...

2  安装qtSerialPort库  ( Install qtserialport library ) 
我想在Precision1-Ubuntu中安装qtserialport。我使用git获得了源目录。接下来,我下载lib-qt4-dev和qmake。我跑了qmake。它工作正常。 但是,make失败并显示以下错误: cd src/ && make -f Makefile make[1]: Enterin...

1  点云库(PCL)基本教程cmake并在Ubuntu 16.04上出错  ( Point cloud library pcl basic tutorial cmake and make errors on ubuntu 16 04 ) 
我一直在尝试使PCL(1.8)在我的系统(Ubuntu 16.04)上正常工作,但是我仍在努力使基本教程都能正常工作。我无法安装pointclouds.org提供的预构建的二进制文件,因此遵循了此发布于堆栈溢出,并使用Ubuntu的本机存储库来安装v1.8。 然后我开始遇到这个问题。我自己使用符号链接修复了其中的一些...

0  编译rtl8188ee驱动程序失败  ( Compiling rtl8188ee driver fails ) 
我正在尝试为我的RTL8188ee无线网卡编译并安装专有驱动程序。 在下载目录( /home/sebastian/Downloads/rtl_92ce_92se_92de_8723ae_88ee_linux_mac80211_0012.0207.2013 )中使用 make 会导致以下错误: make -C /l...




© 2021 it.wenda123.org All Rights Reserved. 问答之家 版权所有